## nanopolish 0.4.0

=== Makefile ===
#

# Sub directories containing source code, except for the main programs
SUBDIRS := src src/hmm src/thirdparty src/common src/alignment

#
# Set libraries, paths, flags and options
#

#Basic flags every build needs
LIBS=-lz
CXXFLAGS = -g -O3
CXXFLAGS += -std=c++11 -fopenmp
CFLAGS=-O3
CXX=g++
CC=gcc
HDF5=install

# Check operating system, OSX doesn't have -lrt
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
    LIBS += -lrt
endif

# Default to automatically installing hdf5
ifeq ($(HDF5), install)
    H5_LIB=./lib/libhdf5.a
    H5_INCLUDE=-I./include
    LIBS += -ldl
else
    # Use system-wide hdf5
    H5_LIB=
    H5_INCLUDE=
    LIBS += -lhdf5
endif

# Bulild and link the libhts submodule
HTS_LIB=./htslib/libhts.a
HTS_INCLUDE=-I./htslib

# Include the header-only fast5 library
FAST5_INCLUDE=-I./fast5

# Include the src subdirectories
NP_INCLUDE=$(addprefix -I./, $(SUBDIRS))

# Add include flags
CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE)

# Main programs to build
PROGRAM=nanopolish
TEST_PROGRAM=nanopolish_test

all: $(PROGRAM) $(TEST_PROGRAM)

#
# Build libhts
#
htslib/libhts.a:
	cd htslib; make

#
# If this library is a dependency the user wants HDF5 to be downloaded and built.
#
lib/libhdf5.a:
	wget https://www.hdfgroup.org/ftp/HDF5/releases/hdf5-1.8.14/src/hdf5-1.8.14.tar.gz
	tar -xzf hdf5-1.8.14.tar.gz
	cd hdf5-1.8.14; ./configure --enable-threadsafe --prefix=`pwd`/..; make; make install

#
# Source files
#

# Find the source files by searching subdirectories
CPP_SRC := $(foreach dir, $(SUBDIRS), $(wildcard $(dir)/*.cpp))
C_SRC := $(foreach dir, $(SUBDIRS), $(wildcard $(dir)/*.c))
EXE_SRC=src/main/nanopolish.cpp src/test/nanopolish_test.cpp

# Automatically generated object names
CPP_OBJ=$(CPP_SRC:.cpp=.o)
C_OBJ=$(C_SRC:.c=.o)

# Generate dependencies
PHONY=depend
depend: .depend

.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB)
	rm -f ./.depend
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(CPP_SRC) $(C_SRC) > ./.depend;

include .depend

# Compile objects
.cpp.o:
	$(CXX) -o $@ -c $(CXXFLAGS) $(CPPFLAGS) -fPIC $<

.c.o:
	$(CC) -o $@ -c $(CFLAGS) -fPIC $<

# Link main executable
$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB)
	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)

# Link test executable
$(TEST_PROGRAM): src/test/nanopolish_test.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB)
	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)

test: $(TEST_PROGRAM)
	./$(TEST_PROGRAM)

clean:
	rm -f nanopolish nanopolish_test $(CPP_OBJ) $(C_OBJ) src/main/nanopolish.o src/test/nanopolish_test.o

=== debian/changelog ===
nanopolish (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #811458)

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 20 Jan 2016 19:53:16 -0800

=== debian/control ===
Source: nanopolish
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
	zlib1g-dev,
	libfast5-dev,
	libhts-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/jts/nanopolish
Vcs-Git: git://anonscm.debian.org/debian-med/nanopolish.git
Vcs-Browser: http://anonscm.debian.org/debian-med/nanopolish.git

Package: nanopolish
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Suggests:
	python,
	perl,
	make,
Description: consensus caller for nanopore sequencing data
 Nanopolish uses a signal-level hidden Markov model for consensus
 calling of nanopore genome sequencing data.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/hdf5/serial
export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	$(RM) .depend

## nanopolish 0.5.0

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,15 @@
 	tar -xzf hdf5-1.8.14.tar.gz
 	cd hdf5-1.8.14; ./configure --enable-threadsafe --prefix=`pwd`/..; make; make install
 
+
+# Download and install eigen if not already downloaded
+EIGEN=eigen/INSTALL
+
+$(EIGEN):
+	wget http://bitbucket.org/eigen/eigen/get/3.2.5.tar.bz2
+	tar -xjvf 3.2.5.tar.bz2
+	mv eigen-eigen-bdd17ee3b1b3 eigen
+
 #
 # Source files
 #
@@ -84,7 +93,7 @@
 PHONY=depend
 depend: .depend
 
-.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB)
+.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB) $(EIGEN)
 	rm -f ./.depend
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(CPP_SRC) $(C_SRC) > ./.depend;
 
@@ -98,7 +107,7 @@
 	$(CC) -o $@ -c $(CFLAGS) -fPIC $<
 
 # Link main executable
-$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB)
+$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN)
 	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)
 
 # Link test executable
@@ -109,4 +118,4 @@
 	./$(TEST_PROGRAM)
 
 clean:
-	rm -f nanopolish nanopolish_test $(CPP_OBJ) $(C_OBJ) src/main/nanopolish.o src/test/nanopolish_test.o
+	rm -f $(PROGRAM) $(TEST_PROGRAM) $(CPP_OBJ) $(C_OBJ) src/main/nanopolish.o src/test/nanopolish_test.o

=== debian/changelog ===
nanopolish (0.5.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 09 Oct 2016 12:36:05 -0700

nanopolish (0.5.0-1) unstable; urgency=medium

  * Imported Upstream version 0.5.0
    - Refresh and update patches
    - Add build dependency on libeigen3
    - Fix "clean" target
  * Update email address and copyright year
  * Fix compatibility with fast5 0.5.6

 -- Afif Elghraoui <afif@debian.org>  Fri, 12 Aug 2016 00:05:16 -0700

nanopolish (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Aug 2016 12:34:56 +0000

nanopolish (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 6 (Closes: #831151)
  * Enable full hardening.
  * Fix Vcs-Browser link.
  * Use secure Vcs-*.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Aug 2016 20:51:28 +0000

nanopolish (0.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 24 Feb 2016 19:05:07 -0800

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 
 export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/hdf5/serial
 export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_clean:
-	dh_auto_clean
+	$(MAKE) clean
 	$(RM) .depend

## nanopolish 0.8.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 
 # Sub directories containing source code, except for the main programs
-SUBDIRS := src src/hmm src/thirdparty src/common src/alignment
+SUBDIRS := src src/hmm src/thirdparty src/thirdparty/scrappie src/common src/alignment src/pore_model
 
 #
 # Set libraries, paths, flags and options
@@ -9,12 +9,15 @@
 
 #Basic flags every build needs
 LIBS=-lz
-CXXFLAGS = -g -O3
+CXXFLAGS ?= -g -O3
 CXXFLAGS += -std=c++11 -fopenmp
-CFLAGS=-O3
-CXX=g++
-CC=gcc
+CFLAGS ?= -O3 -std=c99
+CXX ?= g++
+CC ?= gcc
+
+# Change the value of HDF5 or EIGEN below to any value to disable compilation of bundled HDF5 code
 HDF5=install
+EIGEN=install
 
 # Check operating system, OSX doesn't have -lrt
 UNAME_S := $(shell uname -s)
@@ -34,18 +37,29 @@
     LIBS += -lhdf5
 endif
 
-# Bulild and link the libhts submodule
+# Default to automatically installing EIGEN
+ifeq ($(EIGEN), install)
+    EIGEN_CHECK=eigen/INSTALL
+else
+    # Use system-wide eigen
+    EIGEN_CHECK=
+endif
+
+# Build and link the libhts submodule
 HTS_LIB=./htslib/libhts.a
 HTS_INCLUDE=-I./htslib
 
 # Include the header-only fast5 library
-FAST5_INCLUDE=-I./fast5
+FAST5_INCLUDE=-I./fast5/include
+
+# Include the header-only eigen library
+EIGEN_INCLUDE=-I./eigen/
 
 # Include the src subdirectories
 NP_INCLUDE=$(addprefix -I./, $(SUBDIRS))
 
 # Add include flags
-CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE)
+CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE) $(EIGEN_INCLUDE)
 
 # Main programs to build
 PROGRAM=nanopolish
@@ -57,24 +71,22 @@
 # Build libhts
 #
 htslib/libhts.a:
-	cd htslib; make
+	cd htslib && make || exit 255
 
 #
 # If this library is a dependency the user wants HDF5 to be downloaded and built.
 #
 lib/libhdf5.a:
-	wget https://www.hdfgroup.org/ftp/HDF5/releases/hdf5-1.8.14/src/hdf5-1.8.14.tar.gz
-	tar -xzf hdf5-1.8.14.tar.gz
-	cd hdf5-1.8.14; ./configure --enable-threadsafe --prefix=`pwd`/..; make; make install
+	if [ ! -e hdf5-1.8.14.tar.gz ]; then wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.8/hdf5-1.8.14/src/hdf5-1.8.14.tar.gz; fi
+	tar -xzf hdf5-1.8.14.tar.gz || exit 255
+	cd hdf5-1.8.14 && ./configure --enable-threadsafe --prefix=`pwd`/.. && make && make install
 
 
 # Download and install eigen if not already downloaded
-EIGEN=eigen/INSTALL
-
-$(EIGEN):
-	wget http://bitbucket.org/eigen/eigen/get/3.2.5.tar.bz2
-	tar -xjvf 3.2.5.tar.bz2
-	mv eigen-eigen-bdd17ee3b1b3 eigen
+eigen/INSTALL:
+	if [ ! -e 3.2.5.tar.bz2 ]; then wget http://bitbucket.org/eigen/eigen/get/3.2.5.tar.bz2; fi
+	tar -xjvf 3.2.5.tar.bz2 || exit 255
+	mv eigen-eigen-bdd17ee3b1b3 eigen || exit 255
 
 #
 # Source files
@@ -93,7 +105,7 @@
 PHONY=depend
 depend: .depend
 
-.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB) $(EIGEN)
+.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB) $(EIGEN_CHECK)
 	rm -f ./.depend
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(CPP_SRC) $(C_SRC) > ./.depend;
 
@@ -104,10 +116,10 @@
 	$(CXX) -o $@ -c $(CXXFLAGS) $(CPPFLAGS) -fPIC $<
 
 .c.o:
-	$(CC) -o $@ -c $(CFLAGS) -fPIC $<
+	$(CC) -o $@ -c $(CFLAGS) $(H5_INCLUDE) -fPIC $<
 
 # Link main executable
-$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN)
+$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN_CHECK)
 	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)
 
 # Link test executable

=== debian/changelog ===
nanopolish (0.8.4-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * upstream/metadata RRID->SciCrunch

  [ Afif Elghraoui ]
  * New upstream version
  * Bump fast5 minimum version
  * Update and refine patch stack
  * Improve handling of external dependencies and build flags
  * d/rules
    + Remove redundant LDFLAGS setting
    + Don't override upstream optimization flags with default -O2
  * Bump Standards-Version to 4.1.1

 -- Afif Elghraoui <afif@debian.org>  Sat, 11 Nov 2017 00:45:23 -0500

nanopolish (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Hack around broken clean target which tries to build dependencies from
    external sources
  * DEP3
  * Fix path tp hdf5 lib on i386 (thanks for the hint to Christian Seiler
    <christian@iwakd.de>)
  * Restrict Architectures: any-amd64 any-i386 x32
    since immintrin.h is a x86/amd64 specific header for intrinsics not
    available on other architectures (Thanks for the hint to Gert Wollny
    <gw.fossdev@gmail.com>)
  * Depends: sse-support [any-i386] (thanks for the hint to Christian Seiler
    <christian@iwakd.de>)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Sep 2017 15:37:43 +0200

nanopolish (0.8.1-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload
  * New upstream version (Closes: #853568)
    - bumped dependency on fast5 to 0.6.2
    - established compatibility with gcc/g++ 7
    - needed some extra persuasion to not download
      eigen library.
    - added link-time optimisation
  * debian/upstream/metadata: Added references to registries

  [ Andreas Tille ]
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 Sep 2017 16:59:29 +0200

=== debian/control ===
Source: nanopolish
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 10),
	zlib1g-dev,
	libfast5-dev (>= 0.6.4),
	libhts-dev,
	libeigen3-dev,
Standards-Version: 4.1.1
Homepage: https://github.com/jts/nanopolish
Vcs-Git: https://anonscm.debian.org/git/debian-med/nanopolish.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/nanopolish.git

Package: nanopolish
Architecture: any-amd64 any-i386 x32
Depends:
	${shlibs:Depends},
	${misc:Depends},
	sse-support [any-i386]
Suggests:
	python,
	perl,
	make,
Description: consensus caller for nanopore sequencing data
 Nanopolish uses a signal-level hidden Markov model for consensus
 calling of nanopore genome sequencing data.

## nanopolish 0.9.0

=== Makefile ===
--- 
+++ 
@@ -10,14 +10,15 @@
 #Basic flags every build needs
 LIBS=-lz
 CXXFLAGS ?= -g -O3
-CXXFLAGS += -std=c++11 -fopenmp
+CXXFLAGS += -std=c++11 -fopenmp -fsigned-char
 CFLAGS ?= -O3 -std=c99
 CXX ?= g++
 CC ?= gcc
 
-# Change the value of HDF5 or EIGEN below to any value to disable compilation of bundled HDF5 code
-HDF5=install
-EIGEN=install
+# Change the value of HDF5, EIGEN, or HTS below to any value to disable compilation of bundled code
+HDF5?=install
+EIGEN?=install
+HTS?=install
 
 # Check operating system, OSX doesn't have -lrt
 UNAME_S := $(shell uname -s)
@@ -45,9 +46,16 @@
     EIGEN_CHECK=
 endif
 
-# Build and link the libhts submodule
-HTS_LIB=./htslib/libhts.a
-HTS_INCLUDE=-I./htslib
+# Default to build and link the libhts submodule
+ifeq ($(HTS), install)
+    HTS_LIB=./htslib/libhts.a
+    HTS_INCLUDE=-I./htslib
+else
+    # Use system-wide htslib
+    HTS_LIB=
+    HTS_INCLUDE=
+    LIBS += -lhts
+endif
 
 # Include the header-only fast5 library
 FAST5_INCLUDE=-I./fast5/include
@@ -116,15 +124,15 @@
 	$(CXX) -o $@ -c $(CXXFLAGS) $(CPPFLAGS) -fPIC $<
 
 .c.o:
-	$(CC) -o $@ -c $(CFLAGS) $(H5_INCLUDE) -fPIC $<
+	$(CC) -o $@ -c $(CFLAGS) $(CPPFLAGS) $(H5_INCLUDE) -fPIC $<
 
 # Link main executable
 $(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN_CHECK)
-	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)
+	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)
 
 # Link test executable
 $(TEST_PROGRAM): src/test/nanopolish_test.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB)
-	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS)
+	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)
 
 test: $(TEST_PROGRAM)
 	./$(TEST_PROGRAM)

=== debian/changelog ===
nanopolish (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Bump upstream copyright year
  * Bump minimum required fast5 version
  * Include upstream patch to fix HDF5 errors appearing in autopkgtest

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Feb 2018 22:02:10 -0500

nanopolish (0.8.5-2) unstable; urgency=low

  * Remove dependency on nonexistent package sse-support [i386]

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 19:38:40 -0500

nanopolish (0.8.5-1) unstable; urgency=medium

  * New upstream version
  * d/control:
    + Add sse-support to Build-Depends for i386
    + Remove explicit declaration of x32
  * Bump Standards-Version to 4.1.3
  * Drop patches applied upstream
  * Drop useless patch
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 16:17:01 -0500

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,19 @@
 Build-Depends:
 	debhelper (>= 10),
 	zlib1g-dev,
-	libfast5-dev (>= 0.6.4),
+	libfast5-dev (>= 0.6.5),
 	libhts-dev,
 	libeigen3-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/jts/nanopolish
 Vcs-Git: https://anonscm.debian.org/git/debian-med/nanopolish.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/nanopolish.git
 
 Package: nanopolish
-Architecture: any-amd64 any-i386 x32
+Architecture: any-amd64 any-i386
 Depends:
 	${shlibs:Depends},
 	${misc:Depends},
-	sse-support [any-i386]
 Suggests:
 	python,
 	perl,

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_CPPFLAGS_MAINT_APPEND= \
 -I/usr/include/hdf5/serial \
 -I/usr/include/eigen3
# dpkg-buildpackage would otherwise set -O2, overriding upstream's -O3
# Note: ask Steffen why he chose to add -flto for this package.
export DEB_CFLAGS_MAINT_APPEND = -O3 -flto
export DEB_CXXFLAGS_MAINT_APPEND = -O3 -flto
export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# These variables just need to be defined as anything but "install" in order
# to use system versions.
export HDF5=external
export EIGEN=external
export HTS=external

%:
	dh $@

override_dh_auto_clean:
	sed -i~ 's/^.depend: .*/.depend:/' Makefile
	touch .depend
	$(MAKE) clean
	$(RM) .depend
	mv Makefile~ Makefile

=== debian/tests/control ===
Tests: main

## nanopolish 0.10.2

=== debian/changelog ===
nanopolish (0.10.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 04 Oct 2018 10:17:27 +0200

nanopolish (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix path for Perl interpreter
  * Enhance long description

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 11:37:24 +0200

nanopolish (0.9.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Aug 2018 16:19:57 +0200

=== debian/control ===
Source: nanopolish
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               zlib1g-dev,
               libfast5-dev (>= 0.6.5),
               libhts-dev,
               libeigen3-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
Homepage: https://github.com/jts/nanopolish

Package: nanopolish
Architecture: any-amd64 any-i386
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: python,
          perl,
          make
Description: consensus caller for nanopore sequencing data
 Nanopolish uses a signal-level hidden Markov model for consensus calling
 of nanopore genome sequencing data. It can perform signal-level analysis
 of Oxford Nanopore sequencing data. Nanopolish can calculate an improved
 consensus sequence for a draft genome assembly, detect base
 modifications, call SNPs and indels with respect to a reference genome
 and more.

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,9 @@
 	$(MAKE) clean
 	$(RM) .depend
 	mv Makefile~ Makefile
+
+override_dh_install:
+	dh_install
+	for pl in `find debian -name "*.pl"` ; do \
+	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
+	done

## nanopolish 0.11.0

=== Makefile ===
#

# Sub directories containing source code, except for the main programs
SUBDIRS := src src/hmm src/thirdparty src/thirdparty/scrappie src/common src/alignment src/pore_model

#
# Set libraries, paths, flags and options
#

#Basic flags every build needs
LIBS = -lz
CXXFLAGS ?= -g -O3
CXXFLAGS += -std=c++11 -fopenmp -fsigned-char -D_FILE_OFFSET_BITS=64 #D_FILE_OFFSET_BITS=64 makes nanopolish work in 32 bit systems
CFLAGS ?= -O3 -std=c99 -fsigned-char -D_FILE_OFFSET_BITS=64 
CXX ?= g++
CC ?= gcc

# Change the value of HDF5, EIGEN, or HTS below to any value to disable compilation of bundled code
HDF5 ?= install
EIGEN ?= install
HTS ?= install

HDF5_VERSION ?= 1.8.14
HDF5_CONFIG_ARGS ?= --enable-threadsafe
EIGEN_VERSION ?= 3.2.5

# Check operating system, OSX doesn't have -lrt
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
    LIBS += -lrt
endif

# Default to automatically installing hdf5
ifeq ($(HDF5), install)
    H5_LIB = ./lib/libhdf5.a
    H5_INCLUDE = -I./include
    LIBS += -ldl
else
    # Use system-wide hdf5
    H5_LIB =
    H5_INCLUDE =
    LIBS += -lhdf5
endif

# Default to automatically installing EIGEN
ifeq ($(EIGEN), install)
    EIGEN_CHECK = eigen/INSTALL
else
    # Use system-wide eigen
    EIGEN_CHECK =
endif

# Default to build and link the libhts submodule
ifeq ($(HTS), install)
    HTS_LIB = ./htslib/libhts.a
    HTS_INCLUDE = -I./htslib
else
    # Use system-wide htslib
    HTS_LIB =
    HTS_INCLUDE =
    LIBS += -lhts
endif

# Include the header-only fast5 library
FAST5_INCLUDE = -I./fast5/include

# Include the header-only eigen library
EIGEN_INCLUDE = -I./eigen/

# Include the src subdirectories
NP_INCLUDE = $(addprefix -I./, $(SUBDIRS))

# Add include flags
CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE) $(EIGEN_INCLUDE)

# Main programs to build
PROGRAM = nanopolish
TEST_PROGRAM = nanopolish_test

.PHONY: all
all: depend $(PROGRAM)

#
# Build libhts
#
htslib/libhts.a:
	cd htslib && make || exit 255

#
# If this library is a dependency the user wants HDF5 to be downloaded and built.
#
lib/libhdf5.a:
	if [ ! -e hdf5-$(HDF5_VERSION).tar.gz ]; then \
		version_major_minior=`echo "$(HDF5_VERSION)" | sed -E 's/\.[0-9]+$$//'`; \
		wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-$${version_major_minior}/hdf5-$(HDF5_VERSION)/src/hdf5-$(HDF5_VERSION).tar.gz; \
	fi

	tar -xzf hdf5-$(HDF5_VERSION).tar.gz || exit 255
	cd hdf5-$(HDF5_VERSION) && \
        ./configure --enable-threadsafe --libdir=`pwd`/../lib --includedir=`pwd`/../include --prefix=`pwd`/.. && \
		make && make install

# Download and install eigen if not already downloaded
eigen/INSTALL:
	if [ ! -e $(EIGEN_VERSION).tar.bz2 ]; then \
		wget http://bitbucket.org/eigen/eigen/get/$(EIGEN_VERSION).tar.bz2; \
	fi
	tar -xjf $(EIGEN_VERSION).tar.bz2 || exit 255
	mv eigen-eigen-* eigen || exit 255

#
# Source files
#

# Find the source files by searching subdirectories
CPP_SRC := $(foreach dir, $(SUBDIRS), $(wildcard $(dir)/*.cpp))
C_SRC := $(foreach dir, $(SUBDIRS), $(wildcard $(dir)/*.c))
EXE_SRC = src/main/nanopolish.cpp src/test/nanopolish_test.cpp

# Automatically generated object names
CPP_OBJ = $(CPP_SRC:.cpp=.o)
C_OBJ = $(C_SRC:.c=.o)

# Generate dependencies
.PHONY: depend
depend: .depend

.depend: $(CPP_SRC) $(C_SRC) $(EXE_SRC) $(H5_LIB) $(EIGEN_CHECK)
	rm -f ./.depend
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -MM $(CPP_SRC) $(C_SRC) > ./.depend;

# Compile objects
.cpp.o:
	$(CXX) -o $@ -c $(CXXFLAGS) $(CPPFLAGS) -fPIC $<

.c.o:
	$(CC) -o $@ -c $(CFLAGS) $(CPPFLAGS) $(H5_INCLUDE) -fPIC $<

# Link main executable
$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN_CHECK)
	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)

# Link test executable
$(TEST_PROGRAM): src/test/nanopolish_test.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB)
	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)

.PHONY: test
test: $(TEST_PROGRAM)
	./$(TEST_PROGRAM)

.PHONY: clean
clean:
	rm -f $(PROGRAM) $(TEST_PROGRAM) $(CPP_OBJ) $(C_OBJ) \
		src/main/nanopolish.o src/test/nanopolish_test.o

=== debian/changelog ===
nanopolish (0.11.0-2) unstable; urgency=medium

  * Team upload.
  [ Matthias Klose ]
  * Fix autopkg test.
  * Fix autopkg test dependency.

  [ Andreas Tille ]
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 27 Jan 2019 11:27:03 +0100

nanopolish (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * Recommends: python-pysam, python-biopython
  * debhelper 12
  * Standards-Version: 4.3.0
  * Fix permissions
  * Fix path for Python interpreter
  * Better care for Python scripts

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 09:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
+               dh-python,
+               python,
                zlib1g-dev,
                libfast5-dev (>= 0.6.5),
                libhts-dev,
                libeigen3-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish
@@ -16,9 +18,11 @@
 Package: nanopolish
 Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: python,
-          perl,
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: python-biopython,
+            python-pysam
+Suggests: perl,
           make
 Description: consensus caller for nanopore sequencing data
  Nanopolish uses a signal-level hidden Markov model for consensus calling

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export HTS=external
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	sed -i~ 's/^.depend: .*/.depend:/' Makefile
@@ -34,3 +34,10 @@
 	for pl in `find debian -name "*.pl"` ; do \
 	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
 	done
+	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!.*python?#!/usr/bin/python?' $${pl} ; \
+	done
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name *.fast5 -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: main
Depends: @

## nanopolish 0.11.1

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 CXXFLAGS ?= -g -O3
 CXXFLAGS += -std=c++11 -fopenmp -fsigned-char -D_FILE_OFFSET_BITS=64 #D_FILE_OFFSET_BITS=64 makes nanopolish work in 32 bit systems
 CFLAGS ?= -O3 -std=c99 -fsigned-char -D_FILE_OFFSET_BITS=64 
+LDFLAGS ?=
 CXX ?= g++
 CC ?= gcc
 
@@ -20,8 +21,7 @@
 EIGEN ?= install
 HTS ?= install
 
-HDF5_VERSION ?= 1.8.14
-HDF5_CONFIG_ARGS ?= --enable-threadsafe
+HDF5_VERSION ?= 1.10.4
 EIGEN_VERSION ?= 3.2.5
 
 # Check operating system, OSX doesn't have -lrt
@@ -38,7 +38,7 @@
 else
     # Use system-wide hdf5
     H5_LIB =
-    H5_INCLUDE =
+    H5_INCLUDE ?=
     LIBS += -lhdf5
 endif
 
@@ -91,13 +91,13 @@
 #
 lib/libhdf5.a:
 	if [ ! -e hdf5-$(HDF5_VERSION).tar.gz ]; then \
-		version_major_minior=`echo "$(HDF5_VERSION)" | sed -E 's/\.[0-9]+$$//'`; \
-		wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-$${version_major_minior}/hdf5-$(HDF5_VERSION)/src/hdf5-$(HDF5_VERSION).tar.gz; \
+		version_major_minor=`echo "$(HDF5_VERSION)" | sed -E 's/\.[0-9]+$$//'`; \
+		wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-$${version_major_minor}/hdf5-$(HDF5_VERSION)/src/hdf5-$(HDF5_VERSION).tar.gz; \
 	fi
 
 	tar -xzf hdf5-$(HDF5_VERSION).tar.gz || exit 255
 	cd hdf5-$(HDF5_VERSION) && \
-        ./configure --enable-threadsafe --libdir=`pwd`/../lib --includedir=`pwd`/../include --prefix=`pwd`/.. && \
+		./configure --enable-threadsafe --disable-hl --libdir=`pwd`/../lib --includedir=`pwd`/../include --prefix=`pwd`/.. && \
 		make && make install
 
 # Download and install eigen if not already downloaded

=== debian/changelog ===
nanopolish (0.11.1-1) unstable; urgency=medium

  * Afif Elghraoui removed himself from Uploaders
  * Add myself to Uploaders
  * Make nanopolish_makerange accessible in /usr/bin
  * Asked upstrem for Python3 port
    https://github.com/jts/nanopolish/issues/626
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 13:12:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: nanopolish
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 12~),

## nanopolish 0.11.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 EIGEN ?= install
 HTS ?= install
 
-HDF5_VERSION ?= 1.10.4
+HDF5_VERSION ?= 1.8.14
 EIGEN_VERSION ?= 3.2.5
 
 # Check operating system, OSX doesn't have -lrt
@@ -84,7 +84,7 @@
 # Build libhts
 #
 htslib/libhts.a:
-	cd htslib && make || exit 255
+	cd htslib && make htslib_default_libs="-lz -lm -lbz2" || exit 255
 
 #
 # If this library is a dependency the user wants HDF5 to be downloaded and built.

=== debian/changelog ===
nanopolish (0.11.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:03 +0100

nanopolish (0.11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Dec 2019 19:10:21 +0100

nanopolish (0.11.2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream release
    Closes: #931784, #937105
  * debhelper-compat 12
  * Added patch to fixed #! for the python scripts
  * Set upstream metadata fields: Repository.

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Unify autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 11 Dec 2019 15:48:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python,
+               python3,
                zlib1g-dev,
                libfast5-dev (>= 0.6.5),
                libhts-dev,
                libeigen3-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish
@@ -19,9 +19,10 @@
 Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-biopython,
-            python-pysam
+         ${python3:Depends},
+         ${perl:Depends}
+Recommends: python3-biopython,
+            python3-pysam
 Suggests: perl,
           make
 Description: consensus caller for nanopore sequencing data

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export HTS=external
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	sed -i~ 's/^.depend: .*/.depend:/' Makefile
@@ -35,7 +35,7 @@
 	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $${pl} ; \
 	done
 	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
-	    sed -i '1s?^#!.*python?#!/usr/bin/python?' $${pl} ; \
+	    sed -i '1s?^#!.*python.*?#!/usr/bin/python3?' $${pl} ; \
 	done
 
 override_dh_fixperms:

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/nanopolish-$1.tar.gz/" \
https://github.com/jts/nanopolish/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## nanopolish 0.13.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 
 # Sub directories containing source code, except for the main programs
-SUBDIRS := src src/hmm src/thirdparty src/thirdparty/scrappie src/common src/alignment src/pore_model
+SUBDIRS := src src/hmm src/thirdparty src/thirdparty/scrappie src/common src/alignment src/pore_model src/io
 
 #
 # Set libraries, paths, flags and options
@@ -11,7 +11,7 @@
 LIBS = -lz
 CXXFLAGS ?= -g -O3
 CXXFLAGS += -std=c++11 -fopenmp -fsigned-char -D_FILE_OFFSET_BITS=64 #D_FILE_OFFSET_BITS=64 makes nanopolish work in 32 bit systems
-CFLAGS ?= -O3 -std=c99 -fsigned-char -D_FILE_OFFSET_BITS=64 
+CFLAGS ?= -O3 -std=c99 -fsigned-char -D_FILE_OFFSET_BITS=64
 LDFLAGS ?=
 CXX ?= g++
 CC ?= gcc
@@ -20,9 +20,10 @@
 HDF5 ?= install
 EIGEN ?= install
 HTS ?= install
+MINIMAP2 ?= install
 
 HDF5_VERSION ?= 1.8.14
-EIGEN_VERSION ?= 3.2.5
+EIGEN_VERSION ?= 3.3.7
 
 # Check operating system, OSX doesn't have -lrt
 UNAME_S := $(shell uname -s)
@@ -61,6 +62,23 @@
     LIBS += -lhts
 endif
 
+# Default to build and link the libminimap2 submodule
+ifeq ($(MINIMAP2), install)
+    MINIMAP2_LIB = ./minimap2/libminimap2.a
+    MINIMAP2_INCLUDE = -I./minimap2
+else
+    # Use system-wide htslib
+    MINIMAP2_LIB =
+    MINIMAP2_INCLUDE =
+    LIBS += -lminimap2
+endif
+
+ifeq ($(ARM), 1)
+    MINIMAP2_OPT=arm_neon=1
+else
+    MINIMAP2_OPT=
+endif
+
 # Include the header-only fast5 library
 FAST5_INCLUDE = -I./fast5/include
 
@@ -71,7 +89,7 @@
 NP_INCLUDE = $(addprefix -I./, $(SUBDIRS))
 
 # Add include flags
-CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE) $(EIGEN_INCLUDE)
+CPPFLAGS += $(H5_INCLUDE) $(HTS_INCLUDE) $(MINIMAP2_INCLUDE) $(FAST5_INCLUDE) $(NP_INCLUDE) $(EIGEN_INCLUDE)
 
 # Main programs to build
 PROGRAM = nanopolish
@@ -84,7 +102,10 @@
 # Build libhts
 #
 htslib/libhts.a:
-	cd htslib && make htslib_default_libs="-lz -lm -lbz2" || exit 255
+	$(MAKE) -C htslib htslib_default_libs="-lz -lm -lbz2" || exit 255
+
+minimap2/libminimap2.a:
+	$(MAKE) -C minimap2 $(MINIMAP2_OPT) libminimap2.a || exit 255
 
 #
 # If this library is a dependency the user wants HDF5 to be downloaded and built.
@@ -97,8 +118,8 @@
 
 	tar -xzf hdf5-$(HDF5_VERSION).tar.gz || exit 255
 	cd hdf5-$(HDF5_VERSION) && \
-		./configure --enable-threadsafe --disable-hl --libdir=`pwd`/../lib --includedir=`pwd`/../include --prefix=`pwd`/.. && \
-		make && make install
+		./configure --enable-threadsafe --disable-hl --libdir=`pwd`/../lib --includedir=`pwd`/../include --prefix=`pwd`/.. || exit 255
+	$(MAKE) -C hdf5-$(HDF5_VERSION) && $(MAKE) -C hdf5-$(HDF5_VERSION) install
 
 # Download and install eigen if not already downloaded
 eigen/INSTALL:
@@ -137,12 +158,12 @@
 	$(CC) -o $@ -c $(CFLAGS) $(CPPFLAGS) $(H5_INCLUDE) -fPIC $<
 
 # Link main executable
-$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(EIGEN_CHECK)
-	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)
+$(PROGRAM): src/main/nanopolish.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(MINIMAP2_LIB) $(H5_LIB) $(EIGEN_CHECK)
+	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(MINIMAP2_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)
 
 # Link test executable
-$(TEST_PROGRAM): src/test/nanopolish_test.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB)
-	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)
+$(TEST_PROGRAM): src/test/nanopolish_test.o $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(MINIMAP2_LIB) $(H5_LIB)
+	$(CXX) -o $@ $(CXXFLAGS) $(CPPFLAGS) -fPIC $< $(CPP_OBJ) $(C_OBJ) $(HTS_LIB) $(MINIMAP2_LIB) $(H5_LIB) $(LIBS) $(LDFLAGS)
 
 .PHONY: test
 test: $(TEST_PROGRAM)

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Nanopolish
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
nanopolish (0.13.2-3) unstable; urgency=medium

  * Since we need the executable createt inside build time test in autopkgtest
    this is enforced in dh_auto_build to circumvent nocheck.
    Closes: #983767

 -- Andreas Tille <tille@debian.org>  Mon, 01 Mar 2021 16:39:39 +0100

nanopolish (0.13.2-2) unstable; urgency=medium

  * Team upload.
  * Patch code to not define PR_R7 and PT_R9 to avoid FTBFS on
    some archs (Closes: #960634)
    Thanks to Barry Arndt for the hint.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 20 Feb 2021 15:06:55 +0100

nanopolish (0.13.2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * Enable building anywhere, there are no longer any SIMD intrinsics

 -- Steffen Moeller <moeller@debian.org>  Sun, 03 May 2020 19:25:27 +0200

nanopolish (0.12.1-2) unstable; urgency=medium

  * Versioned Build-Depends against libminimap2-dev (>= 2.17+dfsg-8)
    (Thanks to Hamid Nassiby)
    Closes: #958081

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 18:51:43 +0200

nanopolish (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit. (routine-update)
  * Introduced dependency on libminimap2-dev

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Mar 2020 15:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,16 @@
                zlib1g-dev,
                libfast5-dev (>= 0.6.5),
                libhts-dev,
-               libeigen3-dev
-Standards-Version: 4.4.1
+               libeigen3-dev,
+               libminimap2-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish
+Rules-Requires-Root: no
 
 Package: nanopolish
-Architecture: any-amd64 any-i386
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 
 export DEB_CPPFLAGS_MAINT_APPEND= \
  -I/usr/include/hdf5/serial \
- -I/usr/include/eigen3
+ -I/usr/include/eigen3 \
+ -I/usr/include/minimap2
 # dpkg-buildpackage would otherwise set -O2, overriding upstream's -O3
 # Note: ask Steffen why he chose to add -flto for this package.
+# Steffen replies: anything with many object files and compute-intensive should benefit from it
 export DEB_CFLAGS_MAINT_APPEND = -O3 -flto
 export DEB_CXXFLAGS_MAINT_APPEND = -O3 -flto
 export DEB_LDFLAGS_MAINT_APPEND = -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
@@ -18,6 +20,7 @@
 export HDF5=external
 export EIGEN=external
 export HTS=external
+export MINIMAP2=external
 
 %:
 	dh $@ --with python3
@@ -28,6 +31,16 @@
 	$(MAKE) clean
 	$(RM) .depend
 	mv Makefile~ Makefile
+
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_test
+
+### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Since we need the executable createt inside build time test in autopkgtest this is enforced in dh_auto_build to circumvent nocheck."
+endif
 
 override_dh_install:
 	dh_install

## nanopolish 0.13.3

=== Makefile ===
--- 
+++ 
@@ -46,9 +46,11 @@
 # Default to automatically installing EIGEN
 ifeq ($(EIGEN), install)
     EIGEN_CHECK = eigen/INSTALL
+    EIGEN_INCLUDE = -I./eigen/
 else
     # Use system-wide eigen
     EIGEN_CHECK =
+    EIGEN_INCLUDE ?=
 endif
 
 # Default to build and link the libhts submodule
@@ -58,7 +60,7 @@
 else
     # Use system-wide htslib
     HTS_LIB =
-    HTS_INCLUDE =
+    HTS_INCLUDE ?=
     LIBS += -lhts
 endif
 
@@ -81,9 +83,6 @@
 
 # Include the header-only fast5 library
 FAST5_INCLUDE = -I./fast5/include
-
-# Include the header-only eigen library
-EIGEN_INCLUDE = -I./eigen/
 
 # Include the src subdirectories
 NP_INCLUDE = $(addprefix -I./, $(SUBDIRS))
@@ -124,10 +123,10 @@
 # Download and install eigen if not already downloaded
 eigen/INSTALL:
 	if [ ! -e $(EIGEN_VERSION).tar.bz2 ]; then \
-		wget http://bitbucket.org/eigen/eigen/get/$(EIGEN_VERSION).tar.bz2; \
+		wget https://gitlab.com/libeigen/eigen/-/archive/$(EIGEN_VERSION)/eigen-$(EIGEN_VERSION).tar.bz2; \
 	fi
-	tar -xjf $(EIGEN_VERSION).tar.bz2 || exit 255
-	mv eigen-eigen-* eigen || exit 255
+	tar -xjf eigen-$(EIGEN_VERSION).tar.bz2 || exit 255
+	mv eigen-$(EIGEN_VERSION) eigen || exit 255
 
 #
 # Source files

=== debian/changelog ===
nanopolish (0.13.3-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Explicitly call $(MAKE) on nanopolish_test so as to
    vendor the same even when nocheck is enabled (Closes: #983767)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Bump watch file version to 4

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 01:51:10 +0530

nanopolish (0.13.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.13.3
  * Refresh and remove merged patches
  * Update Manpages

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:08:24 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                zlib1g-dev,
@@ -11,7 +11,7 @@
                libhts-dev,
                libeigen3-dev,
                libminimap2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/nanopolish
 Vcs-Git: https://salsa.debian.org/med-team/nanopolish.git
 Homepage: https://github.com/jts/nanopolish

=== debian/rules ===
--- 
+++ 
@@ -34,12 +34,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	dh_auto_test
+	$(MAKE) nanopolish_test
 
 ### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	echo "Since we need the executable createt inside build time test in autopkgtest this is enforced in dh_auto_build to circumvent nocheck."
+	echo "Since we need the executable created inside build time test in autopkgtest this is enforced in dh_auto_build to circumvent nocheck."
 endif
 
 override_dh_install:
